Bug 94584 - FILEOPEN: ODT - Pentagon shape not imported <draw:regular-polygon>
Summary: FILEOPEN: ODT - Pentagon shape not imported <draw:regular-polygon>
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: ODF-import
  Show dependency treegraph
 
Reported: 2015-09-28 20:40 UTC by Yousuf Philips (jay) (retired)
Modified: 2018-06-02 03:10 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
sample doc (7.03 KB, application/vnd.oasis.opendocument.text)
2015-09-28 20:40 UTC, Yousuf Philips (jay) (retired)
Details
calligra export pdf (268.28 KB, application/pdf)
2015-09-28 22:03 UTC, Yousuf Philips (jay) (retired)
Details
sample doc with a variety of polygon shapes (11.19 KB, application/vnd.oasis.opendocument.text)
2015-09-28 23:59 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-09-28 20:40:25 UTC
Created attachment 119103 [details]
sample doc

Steps:
1) Open attached doc
2) Notice that no shape appears on the page

The document was created with calligra words and the shape appears in word 2010.

Version: 5.1.0.0.alpha1+
Build ID: 18c196f0190d9920673cdd9a4dbc158f08959cfd
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2015-09-26_00:38:50
Locale: en-US (en_US.UTF-8)
Comment 1 Yousuf Philips (jay) (retired) 2015-09-28 20:53:32 UTC
Looking in the xml of context.xml, i'd guess that LO isnt supporting the <draw:regular-polygon> tag.

http://docs.oasis-open.org/office/v1.2/os/OpenDocument-v1.2-os-part1.html#__RefHeading__1415816_253892949
Comment 2 Yousuf Philips (jay) (retired) 2015-09-28 22:03:14 UTC
Created attachment 119104 [details]
calligra export pdf
Comment 3 Yousuf Philips (jay) (retired) 2015-09-28 23:59:11 UTC
Created attachment 119107 [details]
sample doc with a variety of polygon shapes
Comment 4 Buovjaga 2015-10-02 08:15:30 UTC
Confirmed.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 25de5cfa43b2b1cb7d7214470acc7719839e13fe
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-10-01_08:49:54
Locale: en-US (fi_FI)
Comment 5 QA Administrators 2016-11-08 10:29:49 UTC Comment hidden (obsolete)
Comment 6 vihsa 2017-06-01 06:10:51 UTC
reproducible with lo viewer version: 5.5.0.0.alpha0+ / build id : ec79f34 / android 5.1
Comment 7 QA Administrators 2018-06-02 03:10:14 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug